## anjuta-encodings anjuta-encodings |

## Synopsis

                        AnjutaEncoding;
    #define             ANJUTA_TYPE_ENCODING
    GType               anjuta_encoding_get_type            (void);
    AnjutaEncoding *    anjuta_encoding_copy                (const AnjutaEncoding *enc);
    void                anjuta_encoding_free                (AnjutaEncoding *enc);
    const AnjutaEncoding * anjuta_encoding_get_from_charset (const gchar *charset);
    const AnjutaEncoding * anjuta_encoding_get_from_index   (gint index);
    gchar *             anjuta_encoding_to_string           (const AnjutaEncoding *enc);
    const gchar *       anjuta_encoding_get_name            (const AnjutaEncoding *enc);
    const gchar *       anjuta_encoding_get_charset         (const AnjutaEncoding *enc);
    const AnjutaEncoding * anjuta_encoding_get_utf8         (void);
    const AnjutaEncoding * anjuta_encoding_get_current      (void);

## Description

## Details

### AnjutaEncoding

    typedef struct _AnjutaEncoding AnjutaEncoding;

### ANJUTA_TYPE_ENCODING

    #define ANJUTA_TYPE_ENCODING     (anjuta_encoding_get_type ())

### anjuta_encoding_get_type ()

    GType               anjuta_encoding_get_type            (void);

Retrieves the GType object which is associated with the AnjutaEncoding class.

Returns : | the GType associated with AnjutaEncoding.

### anjuta_encoding_copy ()

    AnjutaEncoding *    anjuta_encoding_copy                (const AnjutaEncoding *enc);

Makes a copy of the given encoding. This function is used by language bindings.

`enc` : | a AnjutaEncoding.
Returns : | a new AnjutaEncoding.

### anjuta_encoding_free ()

    void                anjuta_encoding_free                (AnjutaEncoding *enc);

Frees the resources allocated by the given encoding. This function is used by language bindings.

`enc` : | a AnjutaEncoding.

### anjuta_encoding_get_from_charset ()

    const AnjutaEncoding * anjuta_encoding_get_from_charset (const gchar *charset);

`charset` : |
Returns : |

### anjuta_encoding_get_from_index ()

    const AnjutaEncoding * anjuta_encoding_get_from_index   (gint index);

`index` : |
Returns : |

### anjuta_encoding_to_string ()

    gchar *             anjuta_encoding_to_string           (const AnjutaEncoding *enc);

`enc` : |
Returns : |

### anjuta_encoding_get_name ()

    const gchar *       anjuta_encoding_get_name            (const AnjutaEncoding *enc);

`enc` : |
Returns : |

### anjuta_encoding_get_charset ()

    const gchar *       anjuta_encoding_get_charset         (const AnjutaEncoding *enc);

`enc` : |
Returns : |

### anjuta_encoding_get_utf8 ()

    const AnjutaEncoding * anjuta_encoding_get_utf8         (void);

Returns : |

### anjuta_encoding_get_current ()

    const AnjutaEncoding * anjuta_encoding_get_current      (void);

Returns : |